Data Hub
Runs

Update a run

Requires scope `runs:update`.

PATCH
/instruments/{instrumentId}/runs/{runId}

Requires scope runs:update.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string
runId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/instruments/plate-reader/runs/run-2026-001" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instrument_id": "string",  "instrument_display_name": "string",  "run_id": "string",  "source": "lambda",  "watcher_id": "27df7c14-b173-4f02-8a23-1addd1027920",  "metadata": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z",  "acquired_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}